#add-ingredient,
#add-step {
  strong {
    font-size: 30px;
    vertical-align: top;
  }
}

.veg-container {
  font-size: 12px;
  text-transform: uppercase;
  font-weight: bold;
  color: $low;
  line-height: 24px;
}

.recipe-form {
  textarea {
    min-height: 100px;
  }

  .steps-section {
    background-color: $secondary-bg;
    padding: 20px;
    margin-bottom: 20px;

    label {
      font-size: 40px;
      font-weight: bold;
      color: #aaa;
      text-align: right;
    }

  }
}

.c-search-container{
  position: relative;
  padding: 0 !important;
}

#commodity {
  background-color: #fff;
  cursor: pointer;
  position: relative;
}

#com_results {
  display: none;
}

#com_search {
  box-shadow: 2px 2px 3px #000;
  display: none;
  position: absolute;
  left: 0;
  top: 36px;
  background-color: #fff;
  border: 1px solid $input-border;
  border-radius: 0 0 3px 3px;
  width: 100%;
  max-height: 300px;
  overflow: auto;
  z-index: 2;
  padding: 5px;
  cursor: pointer;

  i {
    position: absolute;
    top: 15px;
    right: 15px;
    color: $secondary_text;
  }

  ul {
    margin: 0;
    padding: 5px;
    list-style: none;
  }

  li {
    line-height: 2;
    padding: 0 5px;

    &:hover {
      background-color: #fafafa;
    }
  }
}

.add-ingredient-container {
  padding: 10px;
  border-radius: 4px;
  background-color: $highlight-bg;

  label {
    padding-left: 0 !important;
  }

  h3 {
    padding-left: 0 !important;
  }
}

.amount-alert,
.commodity-alert {
  display: none;
}

.recipe-img-container {
  width: 100%;
  padding-top: 100%;
  background-size: cover;
  background-position: center center;
  margin-bottom: 20px;
}

#ingredients_list,
#ingredients_list_imp {
  margin: 20px 0;
  padding: 0;
  list-style: none;
  display: block;
  width: 100%;

  li {
    display: flex;
    position: relative;
    flex-direction: row;
    width: 100%;
    padding: 4px 0;
    border-bottom: 1px dotted $input-border;
    align-items: flex-end;

    span:first-child {
      width: 80px;
    }

    small {
      font-size: 12px;
      margin-left: 5px;
    }

    .del-ing {
      position: absolute;
      right: 0;
      top: 8px;
      display: none;
      background-color: #a00;
      color: #fff;
      height: 16px;
      width: 16px;
      line-height: 16px;
      font-weight: bold;
      text-align: center;
      border-radius: 4px;
      cursor: pointer;
    }

    &:hover {
      .del-ing {
        display: block;
      }
    }
  }
}

.recipe-list {
  .card {
    margin: 10px 0;
    .card-img-top {
      width: 100%;
      padding-top: 75%;
      background-size: cover;
      background-position: center center;
    }
  }
}

#my_recipes,
#latest_recipes {
  margin: 20px 0;
}

.recipe-list {
  display: flex;
  justify-content: center;
}

.recipe-cards {
  a {
    color: $basic_text;
    text-decoration: none;

    &:hover {
      color: $basic_text;
      text-decoration: none;
    }
  }

  .card-body {
    min-height: 150px;
  }
}

.recipe-header {
  background-color: $recipe-header-color;
  box-shadow: 0 0 20px rgba(0, 0, 0, .3);

  .title-bar {
    position: relative;
    min-height: 200px;
    overflow: hidden;
    border-bottom: 10px solid $recipe-header-color;

    .thumbnail {
      width: 100%;
      padding-top: 75%;
      background-size: cover;
      background-position: center;
      position: absolute;
      top: 0;
      left: 0;
    }

    h1 {
      font-size: 40px;
      text-transform: uppercase;
      color: $basic_text;
      font-weight: bold;
      position: absolute;
      bottom: 0;
      width: 100%;
      background-color: rgba(255, 255, 255, .5);
      left: 0;

      a {
        color: #fff;
      }
    }
  }
}

.recipe-header-bg-outer {
  display: none;
  height: 200px;
  overflow: hidden;
}

.recipe-header-bg {
  background-size: cover;
  background-position: center center;
  width: calc(100% + 20px);
  filter: blur(10px);
  height: 220px;
  transform: translate(-10px, -10px);
}



.recipe-body {
  padding: 30px;
  line-height: 1.5;

  .intro {
    background-color: $recipe-header-color;
    font-size: 18px;
    letter-spacing: .5px;
    padding: 30px;
  }

  .steps {
    h2 {
      margin: 20px 0;
    }

    ol {
      margin-top: 20px;
      margin-right: 20px;

      li {
        margin-bottom: 20px;
        vertical-align: top;
        letter-spacing: .8px;
        font-size: 18px;
        position: relative;
        border-bottom: 1px dotted $input-border;

        &::marker {
          font-size: 40px;
        }

        &:last-child {
          border-bottom: 0;
        }

        input {
          position: absolute;
          top: 0;
          right: 0;
          visibility: hidden;

          &:checked + label {
            color: $secondary_text;
            text-decoration: line-through;
          }
        }

        label {
          padding: 15px 5px;
          vertical-align: middle;
          width: 100%;
          display: inline-block;
          cursor: pointer;


          &:hover {
            background-color: $recipe-header-color;
          }
        }
      }
    }
  }

  .notes {
    font-size: 18px;
    padding: 30px;
    background-color: $recipe-header-color;
  }

  .recipe-info {
    .social {
      border-top: 1px solid $secondary_text;
      border-bottom: 1px solid $secondary_text;
      margin-bottom: 20px;
      padding: 5px 0;
      text-align: right;
    }

    h4 {
      margin: 10px 0;
      padding: 6px;
      text-transform: uppercase;
      font-size: 16px;
      background-color: $recipe-header-color;
    }

    .ing-header {
      margin: 10px 0;
      padding: 6px;
      background-color: $recipe-header-color;

      label {
        margin-bottom: 0;
      }

      h4 {
        padding: 0;
        margin: 0;
      }
    }

    ul {
      font-size: 18px;
      line-height: 1.5;
      list-style: none;
      margin: 0;
      padding: 2px;

      li {
        display: flex;
        flex-direction: row;
        align-items:baseline;
        line-height: 30px;

        label {
          flex: 2;
        }

        span {
          flex: 1;
          text-align: right;
          display: inline-block;
          padding: 0 5px;
          cursor: default;

          &.dif {
            display: flex;
          }
        }
      }

      &.ingredients {
        li {
          line-height: 1;
          border-bottom: 1px dotted $input-border;
          margin-bottom: 10px;
          position: relative;

          input {
            visibility: hidden;
            position: relative;
            top: 0;
            right: 0;

            &:checked + label {
              text-decoration: line-through;
              color: $secondary_text;
            }
          }

          label {
            display: flex;
            flex-direction: row;
            padding: 5px 0;
            cursor: pointer;

            &:hover {
              background-color: $recipe-header-color;
            }
          }

          .amnt {
            flex: 1;
          }

          .cname {
            flex: 2;

            small {
              display: block;
              color: $secondary_text;
            }
          }

          &:last-child {
            border-bottom: 0;
          }
        }
      }
    }

    .ri-difficulty {
      .dif {
        font-size: 30px;
      }
    }

    span{
      display: flex;
      flex-direction: row;
      justify-content: flex-end;
      align-items: center;

      div {
        width: 20px;
        height: 20px;
        margin-left: 5px;
        background-color: $input-border;
      }

      &.difficulty-1 {
        div:first-child {
          background-color: $low;
        }
      }

      &.difficulty-2 {
        div {
          background-color: $mild;

          &:last-child {
            background-color: $input-border;
          }
        }
      }

      &.difficulty-3 {
        div {
          background-color: $bad2;
        }
      }
    }

    .ri-calories {
      span {
        color: #fff;
      }

      &.energy-density-0 span {
        background-color: $low;
      }

      &.energy-density-1 span {
        background-color: $norm;
      }

      &.energy-density-2 span {
        background-color: $mild;
      }

      &.energy-density-3 span {
        background-color: $bad2;
      }
    }

    .ri-sodium {
      span {
        color: #fff;
      }

      &.sodium-0 span {
        background-color: $vlow;
      }

      &.sodium-1 span {
        background-color: $low;
      }

      &.sodium-2 span {
        background-color: $norm;
      }

      &.sodium-3 span {
        background-color: $mild;
      }

      &.sodium-4 span {
        background-color: $bad3;
      }
    }
  }
}

@media only screen and (min-width: 640px) {
  .recipe-header-bg-outer {
    display: block;
  }

  .recipe-header {
    .title-bar {
      display: flex;
      flex-direction: row;
      align-items: flex-end;
      margin-top: -180px;
      overflow: auto;
      z-index: 2;
      border-bottom: 0;

      .thumbnail {
        width: 200px;
        min-width: 200px;
        height: 200px;
        padding-top: 0;
        background-size: cover;
        background-position: center;
        position: static;
        border: 30px solid $recipe-header-color;
        box-sizing: content-box;
      }

      h1 {
        font-size: 40px;
        text-transform: uppercase;
        color: $basic_text;
        font-weight: bold;
        position: static;
        margin: 0 0 15px;
        background: transparent;

      }
    }
  }
}
